;InnoSetupVersion=4.2.6

[Setup]
AppName=NTREGOPT
AppVerName=NTREGOPT 1.1f
AppId=NTREGOPT
AppPublisher=Lars Hederer
AppPublisherURL=http://home.t-online.de/home/lars.hederer/erunt
AppSupportURL=http://home.t-online.de/home/lars.hederer/erunt
AppUpdatesURL=http://home.t-online.de/home/lars.hederer/erunt
DefaultDirName={pf}\NT Registry Optimizer
DefaultGroupName=NT Registry Optimizer
OutputBaseFilename=ntregopt-setup
Compression=lzma
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\LIESMICH.TXT"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\LOC_GER.ZIP"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\NTREGOPT.EXE"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\NTREGOPT.LOC"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\README.TXT"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{tmp}\UNZIP.EXE"; DestDir: "{tmp}"; Flags: deleteafterinstall ignoreversion 

[INI]
FileName: "{app}\NTREGOPT.URL"; Section: "InternetShortcut"; Key: "URL"; String: "http://home.t-online.de/home/lars.hederer/erunt"; 

[Run]
Filename: "{tmp}\UNZIP.EXE"; Parameters: "-qq -o loc_ger.zip"; WorkingDir: "{app}"; Tasks: installgermanlanguagefiles; 
Filename: "{app}\README.TXT"; Description: "{cm:ShowDocumentation}"; Languages: "en"; Flags: shellexec postinstall skipifsilent nowait
Filename: "{app}\LIESMICH.TXT"; Description: "{cm:ShowDocumentation}"; Languages: "de"; Flags: shellexec postinstall skipifsilent nowait
Filename: "{app}\NTREGOPT.EXE"; Description: "{cm:LaunchProgram,NTREGOPT}"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\NTREGOPT"; Filename: "{app}\NTREGOPT.EXE"; 
Name: "{group}\Documentation"; Filename: "{app}\README.TXT"; 
Name: "{group}\Deutsche Dokumentation"; Filename: "{app}\LIESMICH.TXT"; Tasks: installgermanlanguagefiles; 
Name: "{group}\NTREGOPT Homepage"; Filename: "{app}\NTREGOPT.URL"; 
Name: "{group}\Uninstall NTREGOPT"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\NTREGOPT"; Filename: "{app}\NTREGOPT.EXE"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\NTREGOPT"; Filename: "{app}\NTREGOPT.EXE"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "installgermanlanguagefiles"; Description: "{cm:InstallGermanLanguageFiles}"; GroupDescription: "{cm:LanguageOptions}"; Languages: "de"; 
Name: "installgermanlanguagefiles"; Description: "{cm:InstallGermanLanguageFiles}"; GroupDescription: "{cm:LanguageOptions}"; Languages: "en"; 

[UninstallDelete]
Type: files; Name: "{app}\NTREGOPT.URL"; 
Type: files; Name: "{app}\NTROPDBG.TXT"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...
de.NameAndVersion=%1 Version %2
de.AdditionalIcons=Zustzliche Symbole:
de.ProgramOnTheWeb=%1 im Internet
de.UninstallProgram=%1 entfernen
de.AssocFileExtension=&Registriere %1 mit der %2-Dateierweiterung
de.AssocingFileExtension=%1 wird mit der %2-Dateierweiterung registriert...
en.CreateDesktopIcon=Create &desktop icon
en.CreateQuickLaunchIcon=Create &Quick Launch icon
en.LanguageOptions=Language options:
en.InstallGermanLanguageFiles=Install &German language file
en.ShowDocumentation=&Show documentation
en.LaunchProgram=&Launch %1
de.CreateDesktopIcon=&Desktop-Symbol anlegen
de.CreateQuickLaunchIcon=&Symbol in der Schnellstartleiste anlegen
de.LanguageOptions=Sprachoptionen:
de.InstallGermanLanguageFiles=Deutsche S&prachdatei installieren
de.ShowDocumentation=Dokumentation &anzeigen
de.LaunchProgram=%1 &starten

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
Name: "de"; MessagesFile: "embedded\de.isl"; 
